

/***************************************
* STORED stp_rappQualAssociaUdc
*
* Associa l'UDC (creato) ad un rapp qualità di AS esistente SOLO SE UDC è NULL
*
* Steamware, S.E.L.
* mod: 2010.09.23
*
****************************************/
CREATE PROCEDURE [dbo].[stp_rappQualAssociaUdc]
(
	@ProgUDC NVARCHAR(10),
	@UDC NVARCHAR(50)
)
AS

    SET @UDC = UPPER(@UDC) -- nel caso sia passato in minuscolo
    
	UPDATE	RilPro.RapQual
	SET		UDC = @UDC
	WHERE	(ProgUDC = @ProgUDC) AND (UDC IS NULL)
	
	-- restituisce la riga aggiornata
	SELECT * 
	FROM RilPro.RapQual 
	WHERE	ProgUDC = @ProgUDC
		
RETURN

